/**
 * The handler that checks if it's necessary to generate a server or anonymous access token.
 */
export declare const handleBeforeAuth: ({ settings, sdkAuth, tokenProvider, apolloReq, currentToken }: {
    settings: any;
    sdkAuth: any;
    tokenProvider: any;
    apolloReq: any;
    currentToken: any;
}) => Promise<any>;
/**
 * The handler that generates an access token for the user if all three conditions are met:
 *  - the customer is not already logged in;
 *  - the customer performed one of the user-specific operations;
 *  - response from the commercetools doesn't contain any errors, meaning that the given credentials are valid;
 */
export declare const handleAfterAuth: ({ sdkAuth, tokenProvider, apolloReq, currentToken, response }: {
    sdkAuth: any;
    tokenProvider: any;
    apolloReq: any;
    currentToken: any;
    response: any;
}) => Promise<any>;
/**
 * The handler that retries requests to the commercetools server if specific conditions are met.
 */
export declare const handleRetry: ({ settings, tokenProvider }: {
    settings: any;
    tokenProvider: any;
}) => (count: any, operation: any, error: any) => boolean;
//# sourceMappingURL=linkHandlers.d.ts.map